import "./tasks/Hardfiltration.wdl" as Hardfiltration
import "./tasks/Annovar.wdl" as Annovar

workflow {{ project_name }} {

	File vcf_file
	File database
	File vcf_index
	String sample
	String annovar_docker
	String hardfiltration_docker
	String cluster_config
	String disk_size

	call Hardfiltration.Hardfiltration  as Hardfiltration {
		input:
		docker=hardfiltration_docker,
		sample=sample,
		vcf_index=vcf_index,
		disk_size=disk_size,
		vcf_file=vcf_file,
		cluster_config=cluster_config
	}
	call Annovar.Annovar as Annovar {
		input:
		docker=annovar_docker,
		database=database,
		vcf_file=Hardfiltration.pass_vcf,
		sample=sample,
		cluster_config=cluster_config,
		disk_size=disk_size
	}
	
}
